fc_host_post_vendor_event
Prev | Fibre Channel transport | Next

## Name

fc_host_post_vendor_event — called to post a vendor unique event on an fc_host

## Synopsis

`void fc_host_post_vendor_event (` | struct Scsi_Host * | shost,
| u32 | event_number,
| u32 | data_len,
| char * | data_buf,
| u64 | vendor_id`)`;

## Arguments

`shost`

  host the event occurred on

`event_number`

  fc event number obtained from `get_fc_event_number`

`data_len`

  amount, in bytes, of vendor unique data

`data_buf`

  pointer to vendor unique data

`vendor_id`

  Vendor id

## Notes

This routine assumes no locks are held on entry.

Prev | Up | Next
fc_host_post_event | Home | fc_remove_host